Package ru.bitel.bgbilling.modules.tv.common.bean

# Class TvServiceSpecChannelLink

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.tv.common.bean.TvServiceSpecChannelLink

All Implemented Interfaces:
  `Serializable`, `Idable`

public class TvServiceSpecChannelLink extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvServiceSpecChannelLink()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChannel()`
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getDeviceId()`
  `int`
  `getServiceSpecId()`
  `void`
  `setChannel(String channel)`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setDeviceId(int deviceId)`
  `void`
  `setServiceSpecId(int serviceSpecId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TvServiceSpecChannelLink

    public TvServiceSpecChannelLink()

- ## Method Details

  - ### getServiceSpecId

    public int getServiceSpecId()

  - ### setServiceSpecId

    public void setServiceSpecId(int serviceSpecId)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId(int deviceId)

  - ### getChannel

    public String getChannel()

  - ### setChannel

    public void setChannel(String channel)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)